# Panoptic Segmentation Parameters

/**:
    ros__parameters:
        # The panoptic segmentation topic to subscribe to
        # Need to be set properly
        panoptic_segmentation_topic: '/panoptic_segmentation'

        # The reference image topic to subscribe to
        # Need to be set properly
        reference_topic: '/reference_image'

        #  The inference model config file
        #  Default to
        model_config: '/home/scotty/colcon_ws/install/yoso_pkg/share/yoso_pkg/config/YOSO-R50.yaml'

        #  Resized camera image to match inference data
        #  Model optimized for [1024, 512]
        #  Default Basler image resolution [1920, 1280]
        size: [512, 1024]

        #  The output directory where images will be stored
        #  Images are stored in 2 directories within this directory: 'pan' and 'ref'
        output_dir: '/images'
